package com.zm.order.tool.server.chen;

import com.zm.order.tool.server.model.Master;
import com.zm.order.tool.server.model.masterKey;
import com.zm.order.tool.server.model.masterWithBLOBs;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface MasterDao {

    List<Master> selectList(Integer lastId, int size);


    int deleteByPrimaryKey(masterKey key);

    int insert(masterWithBLOBs record);

    int insertSelective(masterWithBLOBs record);

    masterWithBLOBs selectByPrimaryKey(masterKey key);

    int updateByPrimaryKeySelective(masterWithBLOBs record);

    int updateByPrimaryKeyWithBLOBs(masterWithBLOBs record);

    int updateByPrimaryKey(Master record);
}